package cn.com.countrygarden.bi.main.service.wcx;


import cn.com.countrygarden.bi.main.model.wcx.WcxThumb;

import java.util.Date;

/**
 *  用户信息服务接口
 *  
 *  @author ferren
 */
public interface WcxThumbService {

    WcxThumb selectOne(WcxThumb wcxThumb);

    /**
     * 判断是否对一个创新点赞过
     * @param userId
     * @param innovationId
     * @return
     */
    boolean isThumb(String userId, String innovationId);

    /**
     * 获取点赞数量
     * @param innovationId
     * @return
     */
    Long getThumbNumber(String innovationId);

    /**
     * 获取领导点赞次数
     * @param innovationId
     * @return
     */
    int getLeadThumbNumber(String innovationId);

    /**
     * 创新在一段时间内被点赞的数量
     * @param innoId
     * @param startDate
     * @param endDate
     * @return
     */
    Integer findThumbedNumByInnoId(String innoId, Date startDate, Date endDate);



}
